MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031728Community[OCCT] OCCT:Visualizationpublic2020-08-21 15:222020-09-05 12:35
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031728: Visualization, Font_FontMgr - provide function to register fallback fonts in application level
DescriptionIn some cases, developer may need to register fallback fonts to support unicode extension. Method addFontAlias() is private, it would be great if it's public, if so developers have chances to register fallback fonts.
Steps To Reproduce
pload VISUALIZATION
dtracelevel trace
vfont -verbose 1
vfont -aliases

# clear standard aliases and add single one for testing
vfont -clearAliases
vfont -addAlias "cjk" "simsun"

vinit View1
vtop
vpoint p00 0 0 0;vpoint p01 0 10 0
vpoint p11 10 10 0;vpoint p10 10 0 0
vfit
vzoom 0.8
vdrawtext t2 "简体中文 (Chinese)" -pos 0 2 0 -halign left -font Roboto
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031720verifiedbugmaster Community Visualization, Font_FontMgr - register one more CJK fallback font available on newer Android devices 
child of 0030782closedbugmaster Open CASCADE Visualization, Font_FTFont - use predefined fallback fonts for extended Unicode subsets 

-  Notes
(0093759)
git (administrator)
2020-08-31 13:01

Branch CR31728 has been created by kgv.

SHA-1: 4b309594da24e6c46d7c4637a24d3cf47e0ce476


Detailed log of new commits:

Author: kgv
Date: Mon Aug 31 13:03:32 2020 +0300

    0031728: Visualization, Font_FontMgr - provide function to register fallback fonts in application level
    
    Added public method Font_FontMgr::AddFontAlias() for registering custom aliases and fallback fonts.
    vfont command has been extended with arguments -aliases, -addAlias, -removeAlias, -clearAlias and -clearAliases.
(0093764)
kgv (developer)
2020-08-31 15:19

Patch is ready for review
- OCCT branch: CR31728

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31728-master-KGV/view/COMPARE/ [^]
(0093844)
osa (developer)
2020-09-02 10:20

The patch was reviewed without remarks
(0094053)
bugmaster (administrator)
2020-09-05 12:07

Combination -
OCCT branch : IR-2020-09-04
master SHA - a516227511f3452f9f55b79c961265b0bf210793
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-04 SHA - 134448d280fb82bfb14ffc6255ac1cb53f7fd1cf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17319.18000000012 / 17284.370000000214 [+0.20%]
Products
Total CPU difference: 12059.670000000087 / 12007.590000000067 [+0.43%]
Windows-64-VC14:
OCCT
Total CPU difference: 18776.390625 / 18770.796875 [+0.03%]
Products
Total CPU difference: 13251.640625 / 13222.90625 [+0.22%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0094091)
git (administrator)
2020-09-05 12:35

Branch CR31728 has been deleted by inv.

SHA-1: 4b309594da24e6c46d7c4637a24d3cf47e0ce476

- Related Changesets
occt: master f5e758d2
Timestamp: 2020-08-31 10:03:32
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031728: Visualization, Font_FontMgr - provide function to register fallback fonts in application level

Added public method Font_FontMgr::AddFontAlias() for registering custom aliases and fallback fonts.
vfont command has been extended with arguments -aliases, -addAlias, -removeAlias, -clearAlias and -clearAliases.
mod - src/Font/Font_FontMgr.cxx Diff ] File ]
mod - src/Font/Font_FontMgr.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-08-21 15:22 Vico Liang New Issue
2020-08-21 15:22 Vico Liang Assigned To => kgv
2020-08-21 15:22 Vico Liang Relationship added related to 0031720
2020-08-31 13:01 git Note Added: 0093759
2020-08-31 13:01 kgv Relationship added child of 0030782
2020-08-31 13:01 kgv Product Version => 7.4.0
2020-08-31 15:19 kgv Note Added: 0093764
2020-08-31 15:19 kgv Assigned To kgv => osa
2020-08-31 15:19 kgv Status new => resolved
2020-08-31 15:19 kgv Steps to Reproduce Updated View Revisions
2020-09-02 10:20 osa Note Added: 0093844
2020-09-02 10:20 osa Assigned To osa => bugmaster
2020-09-02 10:20 osa Status resolved => reviewed
2020-09-05 12:07 bugmaster Note Added: 0094053
2020-09-05 12:07 bugmaster Status reviewed => tested
2020-09-05 12:17 bugmaster Test case number => Not required
2020-09-05 12:25 bugmaster Changeset attached => occt master f5e758d2
2020-09-05 12:25 bugmaster Status tested => verified
2020-09-05 12:25 bugmaster Resolution open => fixed
2020-09-05 12:35 git Note Added: 0094091


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker